package test.jist;

import jist.runtime.JistAPI;

public interface AdvancedTestInterface extends TestInterface {
  
  public void advancedRun();
    
  public final static class Delegate implements AdvancedTestInterface, JistAPI.Proxiable {
    private AdvancedTestEntityImpl impl;
    
    public Delegate(AdvancedTestEntityImpl impl) {
      this.impl = impl;
    }

    public void advancedRun() {
      impl.advancedRun();
    }

    public void run() {
      impl.run();
    }
  
  }
}
